import * as echarts from 'echarts/lib/echarts'
import { SVGRenderer } from 'echarts/renderers'
// 引入你需要使用的图表类型，标题，提示信息等
import { BarChart, LineChart, PieChart, RadarChart } from 'echarts/charts'

import {
  LegendComponent,
  GridComponent,
  TooltipComponent,
  DataZoomInsideComponent,
  DataZoomSliderComponent,
  MarkLineComponent
} from 'echarts/components'

echarts.use([
  BarChart,
  LineChart,
  PieChart,
  RadarChart,
  SVGRenderer,
  LegendComponent,
  GridComponent,
  TooltipComponent,
  DataZoomInsideComponent,
  DataZoomSliderComponent,
  MarkLineComponent
])

export default echarts
// 可以按需引入的模块列表见 https://github.com/apache/incubator-echarts/blob/master/src/echarts.all.ts
